package org.dobile.db.dao;

import androidx.arch.core.executor.testing.InstantTaskExecutorRule;
import androidx.room.Room;
import android.content.Context;
import androidx.test.platform.app.InstrumentationRegistry;
import androidx.test.ext.junit.runners.AndroidJUnit4;


import org.dobile.db.DobileRoomDatabase;
import org.dobile.db.entity.DeviceSwitch;
import org.dobile.db.entity.SwitchNames;
import org.dobile.db.entity.Scene;
import org.junit.After;
import org.junit.Before;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.TestRule;
import org.junit.runner.RunWith;
import org.mockito.MockitoAnnotations;


import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

/**
 * Test per la classe DeviceACDao
 */
@RunWith(AndroidJUnit4.class)
public class DeviceACDaoTest {
    private DobileRoomDatabase db;
    private DeviceACDao deviceACDao;
    private SceneDao sceneDao;

    @Rule
    public TestRule rule = new InstantTaskExecutorRule();

    /**
     * Crea una base de dades en memòria per fer els test i  no afectar a les dades guardades a la base
     * de dades persistent. Les dades creades en aquesta base de dades desapareixen quan finalitza el
     * proces.
     * Room comprova que no s'accedeix a la base de dades des del thread principal, no hi deixa accedir
     * des d'aquest thread. Per fer les proves es deshabilita aquesta comprovació amb alloMainThreadQueries()
     */
    @Before
    public  void createDb(){

        MockitoAnnotations.initMocks(this);

        Context context = InstrumentationRegistry.getInstrumentation().getTargetContext();
        db = Room.inMemoryDatabaseBuilder(context, DobileRoomDatabase.class)
                .allowMainThreadQueries().build();
        deviceACDao = db.deviceACDao();
        sceneDao = db.sceneDao();
    }

    /**
     * Tanca la base de dades
     *
     * @throws IOException
     */
    @After
    public void closeDb() throws IOException {
        db.close();
    }



    @Test
    public void insertDevice() {
    }

    @Test
    public void deleteDevice() {
    }

    @Test
    public void getDevice() {
    }

    @Test
    public void deleteAll() {
    }

    @Test
    public void getAllDevices() {
    }

    @Test
    public void getListAllDevices() {
    }

    @Test
    public void updateDevice() {
    }

    @Test
    public void getDevicesForScene() {
    }

    @Test
    public void getListDevicesForScene() {
    }
}