/**
 * UOC
 * Treball de Final de Grau de Informàtica - Dobile
 *
 * Es tracta d'una app que serveix per controlar aparells, com poden ser llums, persianes, motors, aire acondicionat, etc.
 * Els controla mitjançant dos tipus de dispositius construits amb Arduino. Un de tipus interruptor i un emissor de comandes
 * infrarrojes.
 *
 * El dispositiu de tipus interruptor pot connectar i desconnectar qualssevol aparell, com per exemple llums i motors. Un
 * mateix dispositiu pot controlar al mateix temps entre 1 i 8 aparells. L'usuari eligeix quants d'interruptors vol.
 *
 * Un altre tipus de dispositiu és un emissor de comandes infrarrojes. Mitjançant un receptor de comandes
 * construit amb Arduino es pot replicar qualssevol comandament a distància. En principi s'utilitzarà per
 * controlar un equip d'aire acondicionat. Encara que es podria utilitzar per controlar qualssevol equip que funcioni
 * amb comandament a distància per infrarrojos
 *
 * L'usuari crea els escenaris que vol, com poden ser Habitació principal, Cuina, Salon, etc A cada escenari pot crear els
 * dispositius que vulgui. En els dispositius de tipus interruptor pot elegir entre 1 i 8 interruptors i posar-lis un nom
 * a cada un.
 *
 * TestSuite que executa els test de las classes Dao
 *
 * @author Macià Sintes Andreu
 */
package org.dobile.db.dao.suite;

import org.dobile.db.dao.DeviceSwitchDaoTest;
import org.dobile.db.dao.SwitchNamesDaoTest;
import org.dobile.db.dao.SceneDaoTest;
import org.junit.runner.RunWith;
import org.junit.runners.Suite;

/**
 * TestSuite. Executa els tests a las classes:
 *
 *  - SceneDaoTest
 *  - DeviceSwitchDaoTest
 *  - DeviceNameTes
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({SceneDaoTest.class,
        DeviceSwitchDaoTest.class,
        SwitchNamesDaoTest.class})
public class DaoTestSuite {
}
